Bug Hunting Session
Bug 66299 - FILESAVE: Shapes not exported to XHTML
Summary: FILESAVE: Shapes not exported to XHTML
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2013-06-28 06:50 UTC by callow.mark
Modified: 2017-06-26 21:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
1 page test case .odt (25.83 KB, application/vnd.oasis.opendocument.text)
2013-06-28 06:53 UTC, callow.mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description callow.mark 2013-06-28 06:50:11 UTC
Problem description: 

Steps to reproduce:
1. Open the 1 page document I will attach in a moment. Observe the figure.
2. Export the document as XHTML
3. Open the exported .html file and observe the missing figure

Current behavior: the figure is not exported

Expected behavior: the figure should be exported as a data URL image.

              
Operating System: Mac OS X
Version: 4.0.4.1 rc
Comment 1 callow.mark 2013-06-28 06:53:12 UTC
Created attachment 81614 [details]
1 page test case .odt
Comment 2 callow.mark 2013-06-28 06:55:01 UTC
I expect this happens on any platform, thought I've only tried on OSX.
Comment 3 Jorendc 2013-06-28 19:27:18 UTC
I can confirm this using Windows 8 with LibreOffice 4.1.0.1 RC and Firefox 22.
The problem is that shapes drawn in a document aren't exported to (X)HTML.

How to reproduce:
* Open Writer
* Views > Toolbar > Drawing
* Draw a rectangle
* File > Export
* Save as .XHTML
* Open file using a browser

Kind regards,
Joren
Comment 4 callow.mark 2013-07-05 03:30:49 UTC
When reporting the bug, I wrote

"the figure should be exported as a data URL image"

but actually I think exporting as SVG would be preferable so as to maintain resolution independence as in the original document.
Comment 5 QA Administrators 2015-04-01 14:40:51 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-22 14:14:48 UTC
(In reply to Jorendc from comment #3)
> I can confirm this using Windows 8 with LibreOffice 4.1.0.1 RC and Firefox
> 22.
> The problem is that shapes drawn in a document aren't exported to (X)HTML.
> 
> How to reproduce:
> * Open Writer
> * Views > Toolbar > Drawing
> * Draw a rectangle
> * File > Export
> * Save as .XHTML
> * Open file using a browser

Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 7 QA Administrators 2016-09-20 09:33:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920